Subject: Fixed: Capital/upper case B doesn't register in either cygwin bash prompt, rxvt bash prompt, or ssh client bash prompt
From: [email-masked]
To: [email-masked]
Date: Tue, 15 Nov 2005 19:55:24 +0000

Igor,

Thank you very much for your help.  The answers were "yes" up to the "bind" command.  The "bind" didn't show anything but there was a single "B" on a line of its own in .inputrc.  Removing it fixed the problem.  It must have been the result of a fat finger when I attempted to do something else.  Thank you again.

John

> On Tue, 15 Nov 2005, jboehmler wrote:
> 
> > Searching the web and the lists, including the cygwin mailing lists, on
> > anything with just a "B" element is very difficult but I've tried.
> > When I try to type a capital B in any form of cygwin terminal, it
> > doesn't register.  A lower case one does.  First, it doesn't show up.
> > Second, if I type "return" after typing "B", the prompt just comes back
> > with no error.  When typing any other capital letter, the letter is
> > visible and typing "return" after it causes a
> > xxxx@xxxx:~$ C
> > bash: C: command not found
> > xxxx@xxxx:~$ b
> > bash: b: command not found
> >  error.
> >
> > All other letters, numbers and characters, shifted and un-shifted seem
> > to work.  I've had this problem across several versions of cygwin.  It
> > also occurs regardless of which method I use to access cygwin, bash,
> > rxvt, or ssh.  I have not tried it with X11 since I don't have it.
> >
> > Any help or search suggestions would be appreciated.  Thank you.
> 
> First thing to rule out is Windows-level problems -- I assume if you run
> "cat" from bash, you can type in 'B', right?  Then let's work on bash:
> Can you paste a 'B' into bash?  Does 'B' show up if you type 'Ctrl-V B'?
> Does 'bind -p | grep "B"' show anything for 'B'?
> 
> Check your .inputrc for any bindings for "B"; then .bashrc and
> /etc/profile, for any "bind" commands.
> 
> HTH,
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> If there's any real truth it's that the entire multidimensional infinity
> of the Universe is almost certainly being run by a bunch of maniacs. /DA

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/